Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### constrain()

Examples

    void draw()
    {
      background(204);
      float mx = constrain(mouseX, 30, 70);
      rect(mx-10, 40, 20, 20);
    }

Description | Constrains a value to not exceed a maximum and minimum value.

Syntax

    constrain(value, min, max)

Parameters

value | int or float: the value to constrain
min | int or float: minimum limit
max | int or float: maximum limit

Returns | float or int (depending on the input values)
Usage | Web & Application
Related | max() min()

Updated on August 30, 2010 04:29:39pm EDT